[MediaWiki-l] Seeking ease of updating MediaWiki with extensions

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[MediaWiki-l] Seeking ease of updating MediaWiki with extensions

Even Thorbergsen
Hallo all,
I have been maintaining a number of wiki installations based on MW and extensions (including SMW) for more than a decade.
I must admit, I find it increasingly hard to update these installations. The old zips have mostly disappeared, and the once promising Composer is not straightforward to use, nor is GitHub. Composer is even disallowed by some internet providers, for some reason.

I would have liked to see a management frontend where you select your choice of extensions, and get the corresponding code and possibly database updated, not having to know technical details, such as the structure of JSON files or other. As the situation is now, I suspect many wiki installations use rather old code versions, which is really a pity.


Regards,

Even Thorbergsen
_______________________________________________
MediaWiki-l mailing list
To unsubscribe, go to:
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l
Reply | Threaded
Open this post in threaded view
|

Re: [MediaWiki-l] Seeking ease of updating MediaWiki with extensions

Bryan Hilderbrand
Hi Even,

Have you taken a look at the Meza [1] project yet? It may offer a solution to your update/deployment issue. It's actively maintained and currently used by several companies/agencies. It is doesn't yet support MW 1.35, but I'm guessing that's coming soon. 

~Bryan 



On Tue, Sep 29, 2020, 7:48 AM Even Thorbergsen <[hidden email]> wrote:
Hallo all,
I have been maintaining a number of wiki installations based on MW and extensions (including SMW) for more than a decade.
I must admit, I find it increasingly hard to update these installations. The old zips have mostly disappeared, and the once promising Composer is not straightforward to use, nor is GitHub. Composer is even disallowed by some internet providers, for some reason.

I would have liked to see a management frontend where you select your choice of extensions, and get the corresponding code and possibly database updated, not having to know technical details, such as the structure of JSON files or other. As the situation is now, I suspect many wiki installations use rather old code versions, which is really a pity.


Regards,

Even Thorbergsen
_______________________________________________
MediaWiki-l mailing list
To unsubscribe, go to:
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l

_______________________________________________
MediaWiki-l mailing list
To unsubscribe, go to:
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l